(function(window) {
	"use strict";
	var scraper = window.scraper;
	var self = scraper.worker = {};

	var START_URL = "https://banking.fidor.de";
	var logoutUrl;

	self.bpdVersion = 2;
	self.updVersion = 1;

	self.login = function() {
		scraper.httpGet("start", START_URL);
		...
		logoutUrl = ...;
	};

	self.logout = function() {
		scraper.httpGet("logout", logoutUrl);
	};

	self.kontoliste = function() {
		return [{kontoNr: scraper.data.kennung, waehrung: "EUR", bezeichnung: "Kreditkarte"}];
	};

	self.umsaetze = function() {
		var result = {
			endSaldo: {
				betrag: 0.00,
				waehrung: "EUR",
				datum: "151030"
			},
			umsaetze: [
				{
					gebucht: true,
					abgerechnet: true,
					valuta: "161030",
					datum: "161030",
					zweck: "zweck",
					betrag: "0.00",
					waehrung: "EUR",
				}
			],
		};

		return result;
	};
})(window);
